package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;
import lombok.Getter;

/**
 * 系统建议类型
 */
@Getter
public enum ESuggestionHandleAttitude implements BaseEnum<String,ESuggestionHandleAttitude> {

    NEED("需要处理"),
    NO("不予处理"),
    ;

    private final String msg;

    @EnumValue
    private final String code;

    ESuggestionHandleAttitude(String msg) {
        this.msg = msg;

        this.code = this.name();
    }

}
